/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef BLADEPARSECONTEXT_H
#define BLADEPARSECONTEXT_H

#include <sstream>
#include <vector>
#include <string>
#include <stack>


#include "GeneralEvaluation.h"

#include "location.hh"
namespace bladeparser
{
class BladeParseContext
{
public:
//     cube::Cube*                           cube;
    std::stack<GeneralEvaluation* > _stack;
    std::string                           value;
    std::stack<GeneralEvaluation* > function_call;
// 
//     std::stack<cube::CalcFlavorModificator*> calcFlavorModificators;
// 
//     std::stack<cube::GeneralEvaluation* > _statements;
//     std::stack<int>                       _number_of_statements;
// 
//     std::stack<std::string> string_constants;
//     std::stack<std::string> strings_stack;
//     std::ostringstream      str;
// 
//     std::string init_expression;
// 
//     unsigned number_elseif;
// 

    
    bool        syntax_ok;
    bool        test_modus;
    std::string error_message;
    location    error_place;


    BladeParseContext( /*cube::Cube* _cube,*/
                         bool        _test_modus = false )
    {
        error_message   = "";
        value           = "";
//         cube            = _cube;
        test_modus      = _test_modus;
        syntax_ok       = true;
//         init_expression = "";
//         number_elseif   = 0;
    }

    ~BladeParseContext()
    {
    }
};
};
#endif // PARSECONTEXT_H
