/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef __GENERAL_EVALUATION_H
#define __GENERAL_EVALUATION_H 0

#include <string>
#include <vector>
#include <iostream>
#include <float.h>
#include <cmath>

#include "TraceEventStrippedSection.h"
#include "TraceEventSection.h"



// namespace bladeparser
// {
class GeneralEvaluation
{
protected:
    bool verbose_execution;
protected:


public:
    GeneralEvaluation();

    virtual
    ~GeneralEvaluation();


    inline
    virtual
    TraceEventStrippedSection
    eval( TraceEventSection& _input)
    {
        (void) _input;
        TraceEventStrippedSection _s;
        return _s;
    };

    inline
    virtual
    void
    set_verbose_execution( bool _v )
    {
        verbose_execution = _v;
    }


    virtual
    void
    print()
    {
    };
};
// }

#endif
