/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef ISEND_P2P_TRACE_EVENT_H
#define ISEND_P2P_TRACE_EVENT_H

#include <string>
#include <vector>
#include <inttypes.h>
#include <otf2/otf2.h>
#include"AsyncP2PTraceEvent.h"




class ISendP2PTraceEvent : public AsyncP2PTraceEvent 
{
protected:

    
    
public:

    ISendP2PTraceEvent(  uint64_t _location): AsyncP2PTraceEvent(_location) {};
    virtual
    ~ISendP2PTraceEvent() {};
    

    
     
    bool
    match( P2PTraceEvent *) const;
    
    
    
    
};



#endif // TRACE_EVENT_H

