/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef METRIC_CLASS_CLASS_H
#define METRIC_CLASS_CLASS_H

#include <otf2/otf2.h>

class MetricClassClass 
{
public:
  OTF2_MetricRef self;
  uint8_t numberOfMetrics;
  std::vector<OTF2_MetricMemberRef> metricMembers;
  OTF2_MetricOccurrence metricOccurrence;
  OTF2_RecorderKind recorderKind ;
};

#endif // TESTPLUGIN1_H
