/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef METRIC_LINE_H
#define METRIC_LINE_H

#include "Driver.h"
#include "ZoomFilter.h"

extern ZoomFilter * z_filter;

extern Trace * trace;


class MetricLine
{
private:

//     std::vector<TraceEvent*> events;
    std::vector<TraceEventStrippedSection> stripped_sections;
    
    GeneralEvaluation* metric;
    QString metric_expression;
    bladeparser::Driver* driver;
    
    
    
    
    
    
    
public:
    MetricLine( );
    ~MetricLine();
    
    void 
    set_expression(QString &str);
    
    std::vector<TraceEventStrippedSection> &
    get_stripped_sections(std::vector<TraceEvent*>&);
    
    
    double
    evaluate(uint64_t);
    
    
};

#endif // TESTPLUGIN1_H
