/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef METRIC_MEMBER_CLASS_H
#define METRIC_MEMBER_CLASS_H

#include <otf2/otf2.h>

class MetricMemberClass 
{
public:
 OTF2_MetricMemberRef self;
 std::string name;
 std::string description;
 OTF2_MetricType metricType;
 OTF2_MetricMode metricMode;
 OTF2_Type valueType;
 OTF2_Base base;
 int64_t exponent;
 std::string unit;   

};

#endif // TESTPLUGIN1_H
