/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef MPI_COLLECTIVE_TRACE_EVENT_GROUP_H
#define MPI_COLLECTIVE_TRACE_EVENT_GROUP_H

#include <vector>

#include "TraceEventGroup.h"




class MpiCollectiveGroup : public TraceEventGroup
{
public:
    MpiCollectiveGroup( ) 
    { 
        number_of_events =0; 
    };
    
    inline
    void
    set_num_locations( uint64_t _nl)
    {
        number_of_events = _nl;
    }
  
};


#endif // TRACE_EVENT_GROUP_H
