/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef TRACE_EVENT_GROUP_EARLY_REDUCE_ANALYZER_H
#define TRACE_EVENT_GROUPP_EARLY_REDUCE_ANALYZER_H

#include "TraceEventGroupAnalyzer.h"
#include "ColorMap.h"

class TraceEventGroupEarlyReduceAnalyzer : public TraceEventGroupAnalyzer
{
protected:
    uint64_t root_t; // timestamp of a root
    uint64_t max_next; // timestamp 
    
public:
    TraceEventGroupEarlyReduceAnalyzer();
    ~TraceEventGroupEarlyReduceAnalyzer();
        
    
    
bool
probe(std::vector<TraceEvent*>& events);


void
analyze(std::vector<TraceEvent*>& events, int, int);

};


#endif // TESTPLUGIN1_H
