/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef TRACE_EVENT_GROUP_WAIT_AT_BARRIER_ANALYZER_H
#define TRACE_EVENT_GROUP_WAIT_AT_BARRIER_ANALYZER_H

#include "TraceEventGroupAnalyzer.h"
#include "ColorMap.h"

class TraceEventGroupWaitAtBarrierAnalyzer : public TraceEventGroupAnalyzer
{
private:
   uint64_t max_min;
    
public:
    TraceEventGroupWaitAtBarrierAnalyzer();
    ~TraceEventGroupWaitAtBarrierAnalyzer();
        
    
    
bool
probe(std::vector<TraceEvent*>& events);

void
analyze(std::vector<TraceEvent*>& events, int, int);




};


#endif // TESTPLUGIN1_H
