/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef TRACE_EVENT_STRIPPED_SECTION_H
#define TRACE_EVENT_STRIPPED_SECTION_H

#include <string>
#include <vector>
#include <inttypes.h>
#include <iostream>
#include <stack>
#include <utility>

class TraceEventStrippedSection 
{
public:
    uint64_t start_t;
    uint64_t end_t;
    double start_value;
    double end_value;
    
    friend
    std::ostream&
    operator<<( std::ostream&, TraceEventStrippedSection& );
    
    
    
    
};




#endif // FILTER_H

