/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef __UNARY_EVALUATION_H
#define __UNARY_EVALUATION_H 0

#include "GeneralEvaluation.h"

// namespace cube
// {
class UnaryEvaluation : public GeneralEvaluation
{
protected:
    GeneralEvaluation * argument;
public:
    UnaryEvaluation();
    UnaryEvaluation( GeneralEvaluation* );

    virtual
    ~UnaryEvaluation();
    
    
    inline
    virtual
    void
    set_verbose_execution( bool _v )
    {
        verbose_execution = _v;
        argument->set_verbose_execution( _v );
    }
    
    
    virtual
    void
    setArgument( GeneralEvaluation*);
    
    
};
// };

#endif
