/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef CALL_PATH_CLASS_H
#define CALL_PATH_CLASS_H

#include <otf2/otf2.h>
#include <vector>




class CallPathClass 
{
public:
    CallPathClass(); 
    
        
    OTF2_CallpathRef self;
    OTF2_CallpathRef parent;
    OTF2_RegionRef region;
    std::vector<OTF2_CallpathRef> subcalltree;
};


#endif // TESTPLUGIN1_H
