/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef __DIVIDE_EVALUATION_H
#define __DIVIDE_EVALUATION_H 0

#include "BinaryEvaluation.h"

// namespace cube
// {
class DivideEvaluation : public BinaryEvaluation
{
public:
    DivideEvaluation();
    DivideEvaluation( GeneralEvaluation*,
                      GeneralEvaluation* );
    virtual
    ~DivideEvaluation();

    inline
    virtual
    TraceEventStrippedSection
    eval( TraceEventSection& _input);


    virtual
    void
    print()
    {
        std::cout << "(";
        argument1->print();
        std::cout << "/";
        argument2->print();
        std::cout << ")";
    };


};
// };

#endif
