/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef __ENCAPSULATION_EVALUATION_H
#define __ENCAPSULATION_EVALUATION_H 0

#include "UnaryEvaluation.h"

// namespace cube
// {
class EncapsulationEvaluation : public UnaryEvaluation
{
public:
    EncapsulationEvaluation();
    EncapsulationEvaluation( GeneralEvaluation* );

    virtual
    ~EncapsulationEvaluation();

    inline
    virtual
    TraceEventStrippedSection
    eval( TraceEventSection& _input);

    virtual
    void
    print()
    {
        std::cout << "( ";
        argument->print();
        std::cout << ")";
    };


};
// };

#endif
