/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef RECV_P2P_TRACE_EVENT_H
#define RECV_P2P_TRACE_EVENT_H

#include <string>
#include <vector>
#include <inttypes.h>
#include <otf2/otf2.h>
#include"P2PTraceEvent.h"




class RecvP2PTraceEvent : public P2PTraceEvent 
{
protected:

    
    
public:

    RecvP2PTraceEvent( uint64_t _location): P2PTraceEvent( _location) {};
    virtual
    ~RecvP2PTraceEvent() {};
    

    
     
    bool
    match( P2PTraceEvent *) const;
    
    
    
    
};



#endif // TRACE_EVENT_H

