/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef TRACE_EVENT_GROUP_LATE_SENDER_ANALYZER_H
#define TRACE_EVENT_GROUP_LATE_SENDER_ANALYZER_H

#include "TraceEventGroupAnalyzer.h"
#include "ColorMap.h"

class TraceEventGroupLateSenderAnalyzer : public TraceEventGroupAnalyzer
{

private:
    uint64_t s_start;
    uint64_t r_start;
    bool first_sit;
    
    SendP2PTraceEvent * sender;
    RecvP2PTraceEvent * receiver;
    
    
public:
    TraceEventGroupLateSenderAnalyzer();
    ~TraceEventGroupLateSenderAnalyzer();
        
    
    
bool
probe(std::vector<TraceEvent*>& events);


void
analyze(std::vector<TraceEvent*>& events, int, int);

};


#endif // TESTPLUGIN1_H
