/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef TRACE_EVENT_GROUP_N2N_COMPLETION_ANALYZER_H
#define TRACE_EVENT_GROUP_N2N_COMPLETION_ANALYZER_H

#include "TraceEventGroupBarrierCompletionAnalyzer.h"
#include "ColorMap.h"

class TraceEventGroupN2NCompletionAnalyzer : public TraceEventGroupBarrierCompletionAnalyzer
{
private:
   uint64_t min_max;
    
public:
    TraceEventGroupN2NCompletionAnalyzer();
    ~TraceEventGroupN2NCompletionAnalyzer();
        
    
    
bool
probe(std::vector<TraceEvent*>& events);



};


#endif // TESTPLUGIN1_H
