/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef TRACE_EVENT_GROUP_WAIT_AT_N2N_ANALYZER_H
#define TRACE_EVENT_GROUP_WAIT_AT_N2N_ANALYZER_H

#include "TraceEventGroupWaitAtBarrierAnalyzer.h"
#include "ColorMap.h"

class TraceEventGroupWaitAtN2NAnalyzer : public TraceEventGroupWaitAtBarrierAnalyzer
{
private:
   uint64_t max_min;
    
public:
    TraceEventGroupWaitAtN2NAnalyzer();
    ~TraceEventGroupWaitAtN2NAnalyzer();
        
    
    
bool
probe(std::vector<TraceEvent*>& events);



};


#endif // TESTPLUGIN1_H
