/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef ZOOM_ENTER_FILTER_H
#define ZOOM_ENTER_FILTER_H

#include <string>
#include <vector>
#include <inttypes.h>
#include <iostream>
#include <stack>
#include <utility>

#include <QPointF>

#include "ZoomFilter.h"

class ZoomEnterFilter : public ZoomFilter 
{

public:
    
    inline 
    void
    print()
    {
        uint64_t start_window = zoom.back().first;
        uint64_t end_window = zoom.back().second; 
        std::cout << " ZE: " <<  start_window << ":" << end_window << " = " << (get_zoom_size()) << std::endl;
    }
    
    
    
    virtual
    FilterResult 
    apply( TraceEvent *  );
    
};

#endif // FILTER_H

